com.verisign.epp.codec.registry.v02

## Class EPPRegistryInfoCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPInfoCmd
    - - com.verisign.epp.codec.registry.v02.EPPRegistryInfoCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryInfoCmd
      extends EPPInfoCmd

  Represents an EPP Registry <info> command that is used to retrieve information associated with a registry. The <registry:info> element MUST contain one of the following child elements:
  - A <registry:all> empty element that specifies whether or not to query a list of all supported zone objects by the server. Use `isAll` and `setAll` to get and set the element.
  - A <registry:name> element that contains the fully qualified zone object name for which information is requested. Use `getName` and `setName` to get and set the element.
  - A <registry:system> Element that is empty and that indicates that the registry system attributes, like maximum connections and timeouts, are queried. Use `isSystem` and `setSystem` to get and set the element.
  A valid `EPPRegistryInfoCmd` must contains one and only one of the above elements.
  `EPPRegistryInfoResp` is the concrete `EPPReponse` associated with `EPPRegistryInfoResp`.
  See Also:
    `EPPRegistryInfoResp`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EPPRegistryInfoCmd.Mode` Possible values for the `mode` attribute, which defines the mode to query.
    `static class` | `EPPRegistryInfoCmd.Scope` Possible values for the `scope` attribute.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_SCOPE` XML attribute name for the `scope` attribute.
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryInfoCmd`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryInfoCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryInfoCmd()` `EPPRegistryInfoCmd` default constructor.
    `EPPRegistryInfoCmd(java.lang.String aTransId, EPPRegistryInfoCmd.Mode aMode)` `EPPRegistryInfoCmd` constructor defines the query mode to use.
    `EPPRegistryInfoCmd(java.lang.String aTransId, EPPRegistryInfoCmd.Scope aScope)` `EPPRegistryInfoCmd` constructor that queries for all of the accessible and/or available zone objects from the server with the desired scope.
    `EPPRegistryInfoCmd(java.lang.String aTransId, EPPRegistryZoneName aName)` `EPPRegistryInfoCmd` constructor that takes the qualified zone object name as an argument.
    `EPPRegistryInfoCmd(java.lang.String aTransId, java.lang.String aName)` `EPPRegistryInfoCmd` constructor that takes the qualified aLabel zone object name as an argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryInfoCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryInfoCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryInfoCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRegistryInfoCmd` with this instance.
    `EPPRegistryInfoCmd.Mode` | `getMode()` Gets the query mode.
    `EPPRegistryZoneName` | `getName()` Gets the zone name.
    `java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPRegistryInfoCmd` .
    `EPPRegistryInfoCmd.Scope` | `getScope()` Gets the zone scope used with the query all option.
    `boolean` | `hasMode()` Is the query mode defined?
    `boolean` | `hasName()` Is the name defined?
    `void` | `setMode(EPPRegistryInfoCmd.Mode aMode)` Sets the query mode.
    `void` | `setName(EPPRegistryZoneName aName)` Sets the zone name to query for.
    `void` | `setName(java.lang.String aName)` Sets the zone name to query for.
    `void` | `setScope(EPPRegistryInfoCmd.Scope aScope)` Sets the zone scope used with the query all mode.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryInfoCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryInfoCmd`.
      See Also:
        Constant Field Values

    - #### ATTR_SCOPE

          public static final java.lang.String ATTR_SCOPE

      XML attribute name for the `scope` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd()

      `EPPRegistryInfoCmd` default constructor. The `mode` must be set using `setMode(Mode)` prior to invoking `EPPCommand.encode(Document)`.

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd(java.lang.String aTransId,
                                    java.lang.String aName)

      `EPPRegistryInfoCmd` constructor that takes the qualified aLabel zone object name as an argument. The mode is set to `EPPRegistryInfoCmd.Mode.name`.
      Parameters:
        `aTransId` - transaction Id associated with command
        `aName` - fully qualified aLabel zone object name to get information on

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd(java.lang.String aTransId,
                                    EPPRegistryZoneName aName)

      `EPPRegistryInfoCmd` constructor that takes the qualified zone object name as an argument. The mode is set to `EPPRegistryInfoCmd.Mode.name`.
      Parameters:
        `aTransId` - transaction Id associated with command
        `aName` - fully qualified zone object name to get information on

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd(java.lang.String aTransId,
                                    EPPRegistryInfoCmd.Mode aMode)

      `EPPRegistryInfoCmd` constructor defines the query mode to use. It is most likely used when setting the mode to `EPPRegistryInfoCmd.Mode.system`.
      Parameters:
        `aTransId` - transaction Id associated with command
        `aMode` - Query mode to use.

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd(java.lang.String aTransId,
                                    EPPRegistryInfoCmd.Scope aScope)

      `EPPRegistryInfoCmd` constructor that queries for all of the accessible and/or available zone objects from the server with the desired scope. The mode is set to `EPPRegistryInfoCmd.Mode.all`.
      Parameters:
        `aTransId` - transaction Id associated with command
        `aScope` - Zone scope to query for. Passing `null` will result in the use of the default scope `Scope#accessible`.

  - ### Method Detail

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryInfoCmd` instance.
      Specified by:
        `doEncode` in class `EPPInfoCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPRegistryInfoCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRegistryInfoCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPRegistryInfoCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPInfoCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryInfoCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPRegistryInfoCmd` .
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPRegistryMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPRegistryInfoCmd` with this instance.
      Overrides:
        `equals` in class `EPPInfoCmd`
      Parameters:
        `aObject` - Object to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryInfoCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPRegistryInfoCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### hasName

          public boolean hasName()

      Is the name defined?
      Returns:
        `true` if the name is defined; `false` otherwise.

    - #### getName

          public EPPRegistryZoneName getName()

      Gets the zone name.
      Returns:
        Zone name if set; `null` otherwise.

    - #### setName

          public void setName(EPPRegistryZoneName aName)

      Sets the zone name to query for. The mode is set to `EPPRegistryInfoCmd.Mode.name`.
      Parameters:
        `aName` - Zone name

    - #### setName

          public void setName(java.lang.String aName)

      Sets the zone name to query for. The mode is set to `EPPRegistryInfoCmd.Mode.name`.
      Parameters:
        `aName` - aLabel zone name

    - #### hasMode

          public boolean hasMode()

      Is the query mode defined?
      Returns:
        `true` if the query mode is defined; `false` otherwise.

    - #### getMode

          public EPPRegistryInfoCmd.Mode getMode()

      Gets the query mode.
      Returns:
        The query mode if defined; `null` otherwise.

    - #### setMode

          public void setMode(EPPRegistryInfoCmd.Mode aMode)

      Sets the query mode.
      Parameters:
        `aMode` - Query mode to use

    - #### getScope

          public EPPRegistryInfoCmd.Scope getScope()

      Gets the zone scope used with the query all option.
      Returns:
        Scope passed with the <registry:all> "scope" attribute if defined; `null` otherwise.

    - #### setScope

          public void setScope(EPPRegistryInfoCmd.Scope aScope)

      Sets the zone scope used with the query all mode. The mode is set to `EPPRegistryInfoCmd.Mode.all`.
      Parameters:
        `aScope` - Scope passed with the <registry:all> "scope" attribute. If `null` is passed, the default value of `EPPRegistryInfoCmd.Scope.accessible` will be used.